apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: portfolio
  namespace: argocd
spec:
  project: default
  source:
    repoURL: https://forgejo.riotpiao.com/rock/riotpiao.git
    targetRevision: main
    path: infra/portfolio/base
  destination:
    server: https://kubernetes.default.svc
    namespace: portfolio
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=true
---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: homarr
  namespace: argocd
spec:
  project: default
  source:
    repoURL: https://forgejo.riotpiao.com/rock/riotpiao.git
    targetRevision: main
    path: infra/homarr/base
  destination:
    server: https://kubernetes.default.svc
    namespace: dashboard
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=true
---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: auth-infra
  namespace: argocd
spec:
  project: default
  source:
    repoURL: https://forgejo.riotpiao.com/rock/riotpiao.git
    targetRevision: main
    path: infra/auth-infra/base
  destination:
    server: https://kubernetes.default.svc
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
